Subject: bug#72359: treesit-node-at-point bug on vhdl-ts-mode after update to 0.22.6

From: Gonzalo Larumbe <[email-masked]>
Date: Tue, 30 Jul 2024 00:17:02 +0200

Hi,

After updating tree-sitter on Arch Linux from 0.22.1 to 0.22.6 there seems
to be an error with the detection of some comment nodes under
`vhdl-ts-mode`.

In the attached VHDL file, if placing the cursor at the comment of line 10,
running:
`(treesit-node-at (point) 'vhdl)` returns `#<treesit-node block_header in
329-358>`. However, the side by side view shows that the parser correctly
detects a comment (see attached screenshot). This worked well with the
previous tree-sitter version.

Thanks a lot!

Gonzalo